Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class ResourceAdapterModule

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.management.j2ee.J2EEManagedObject
                  org.jboss.management.j2ee.J2EEDeployedObject
                      org.jboss.management.j2ee.J2EEModule
                          org.jboss.management.j2ee.ResourceAdapterModule

All Implemented Interfaces:
  J2EEDeployedObjectMBean, J2EEManagedObjectMBean, J2EEModuleMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ResourceAdapterModuleMBean, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class ResourceAdapterModule
extends J2EEModule
implements ResourceAdapterModuleMBean

Root class of the JBoss JSR-77 implementation of ResourceAdapterModule.

Version:
  $Revision: 1.16 $
Author:
  Scott McLaughlin., thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.management.j2ee.J2EEDeployedObject
`APPLICATION, CMP, EJB, JAWS, JBOSS, JBOSS_WEB, RAR, SAR, WEB`

Fields inherited from class org.jboss.management.j2ee.J2EEManagedObject
`NAME, TYPE`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`ResourceAdapterModule(String rarName, javax.management.ObjectName jsr77ParentName, String[] pJVMs, String pDeploymentDescriptor)` Constructor taking the Name of this Object

Method Summary
`void` | `addChild(javax.management.ObjectName pChild)`
`static javax.management.ObjectName` | `create(javax.management.MBeanServer mbeanServer, String earName, String rarName, URL pURL)` Creates the JSR-77 EJBModule
`static void` | `destroy(javax.management.MBeanServer mbeanServer, javax.management.ObjectName jsr77Name)` Destroyes the given JSR-77 RARModule
`protected Hashtable` | `getParentKeys(javax.management.ObjectName jsr77ParentName)` This method can be overwritten by any subclass which must return <parent-j2eeType> indicating its parents.
`String` | `getresourceAdapter(int pIndex)`
`String[]` | `getresourceAdapters()`
`void` | `removeChild(javax.management.ObjectName pChild)`
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.J2EEModule
`getjavaVM, getjavaVMs`

Methods inherited from class org.jboss.management.j2ee.J2EEDeployedObject
`getdeploymentDescriptor, getDeploymentDescriptor, getserver`

Methods inherited from class org.jboss.management.j2ee.J2EEManagedObject
`getobjectName, getObjectName, getObjectName, getparent, getType, getType, iseventProvider, isstateManageable, isstatisticsProvider, newObjectName, postCreation, postRegister, preDeregister, preDestruction, removeObject, removeObject, sendNotification, setparent`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.management.j2ee.J2EEModuleMBean
`getjavaVM, getjavaVMs`

Methods inherited from interface org.jboss.management.j2ee.J2EEDeployedObjectMBean
`getdeploymentDescriptor, getserver`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### ResourceAdapterModule

    public ResourceAdapterModule(String rarName,
                                 javax.management.ObjectName jsr77ParentName,
                                 String[] pJVMs,
                                 String pDeploymentDescriptor)
                          throws javax.management.MalformedObjectNameException,
                                 InvalidParentException

  Constructor taking the Name of this Object

Parameters:
  `rarName` - Name to be set which must not be null
  `jsr77ParentName` - ObjectName of the Parent this Module belongs too. Either it is a J2EEApplication or J2EEServer if a standalone module.
  `pDeploymentDescriptor` -
Throws:
  `InvalidParameterException` - If the given Name is null
  `javax.management.MalformedObjectNameException`
  `InvalidParentException`

Method Detail

### create

    public static javax.management.ObjectName create(javax.management.MBeanServer mbeanServer,
                                                     String earName,
                                                     String rarName,
                                                     URL pURL)

  Creates the JSR-77 EJBModule

  Parameters:
    `mbeanServer` - MBeanServer the EJBModule is created on
    `earName` - the ear name unless null which indicates a standalone module (no EAR)
    `rarName` - the RAR name
    `pURL` - URL path to the local deployment of the module (where to find the DD file)
  Returns:
    the JSR77 ObjectName of the RARModule

### destroy

    public static void destroy(javax.management.MBeanServer mbeanServer,
                               javax.management.ObjectName jsr77Name)

  Destroyes the given JSR-77 RARModule

  Parameters:
    `mbeanServer` - The JMX MBeanServer the desired RARModule is registered on
    `jsr77Name` - the JSR77 RARModule component ObjectName

### getresourceAdapters

    public String[] getresourceAdapters()

  Specified by:
    `getresourceAdapters` in interface `ResourceAdapterModuleMBean`

### getresourceAdapter

    public String getresourceAdapter(int pIndex)

  Specified by:
    `getresourceAdapter` in interface `ResourceAdapterModuleMBean`

### addChild

    public void addChild(javax.management.ObjectName pChild)

  Specified by:
    `addChild` in interface `ResourceAdapterModuleMBean`
  Overrides:
    `addChild` in class `J2EEManagedObject`

### removeChild

    public void removeChild(javax.management.ObjectName pChild)

  Specified by:
    `removeChild` in interface `ResourceAdapterModuleMBean`
  Overrides:
    `removeChild` in class `J2EEManagedObject`

### toString

    public String toString()

  Overrides:
    `toString` in class `J2EEDeployedObject`

### getParentKeys

    protected Hashtable getParentKeys(javax.management.ObjectName jsr77ParentName)

  Description copied from class: `J2EEManagedObject`
  This method can be overwritten by any subclass which must return <parent-j2eeType> indicating its parents. By default it returns an empty hashtable instance.

  Overrides:
    `getParentKeys` in class `J2EEManagedObject`
  Parameters:
    `jsr77ParentName` - the WebModule parent's JSR77 ObjectName
  Returns:
    A hashtable with the J2EE-Application and J2EE-Server as parent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.